div.alphabet_input span.custom_alphabet {
  display: inline-block;
}

div.sequence_input:not(.text) div.sequence_text,
div.sequence_input:not(.file) span.sequence_file,
div.sequence_input:not(.bedfile) span.bed_file,
div.sequence_input:not(.bedfile) div.bed_file_db,
div.sequence_input:not(.bedfile) select.bed_file_db,
div.sequence_input:not(.db) select.sequence_db, 
div.sequence_input:not(.db) div.help.sequence_db,
div.sequence_input:not(.db) div.priors,
div.sequence_input.db:not(.filter_priors) select.sequence_db.priors,
div.sequence_input.db:not(.filter_priors) div.help.sequence_db.priors,
div.sequence_input.filter_priors .no_priors {
  display: none;
}

div.sequence_input.text div.sequence_text {
  display: inline-block;
}

div.sequence_input.file span.sequence_file {
  display: inline-block;
}

div.sequence_input.bedfile span.bed_file {
  display: inline-block;
}

div.sequence_input.db select.sequence_db {
  display: inline-block;
  min-width: 16em;
  margin: 2px;
}

div.sequence_input.db div.help.sequence_db {
  display: inline-block;
}

div.sequence_input select.sequence_source {
  margin: 2px;
}

div.sequence_input.noseq select.sequence_source,
div.sequence_input.text select.sequence_source,
div.sequence_input.file select.sequence_source,
div.sequence_input.bedfile select.sequence_source {
  max-width: 12em;
}

/* sequence editor rules */
div.sequence_input div.editor {
  margin-top: 1px;
  overflow-y: auto;
  border: 1px solid #999;
  border-radius: 4px;
  width: 400px;
  max-height: 300px;
  background: #E4ECEC;
}
div.sequence_input div.editor > div {
  position: relative;
  display: inline-block;
  min-width: 100%;
}
div.sequence_input div.editor > div > textarea, div.sequence_input div.editor > div > pre {
  margin: 0;
  outline: 0;
  border: 0;
  padding: 2px;
  min-height: 50px;
  background: transparent;
  font: 400 13px/16px monospace;
  /* Make the text soft-wrap */
  white-space: pre;
  margin-right: 20px;
}
div.sequence_input div.editor > div > textarea {
  /* The border-box box model is used to allow
   * padding whilst still keeping the overall width
   * at exactly that of the containing element.
   */
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
      -ms-box-sizing: border-box;
          box-sizing: border-box;
  width: 100%;
  /* Hide any scrollbars */
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  /* Remove WebKit user-resize widget */
  resize: none;
}
div.sequence_input div.editor > div > pre {
  display: block;
  /* Hide the text; just using it for sizing */
  color: rgba(0, 255, 0, 0);
}

/* imported from fasta-debug */

.fasta_debug {
  /* note that this must be block or inline block */
  position: relative;
  padding: 2px;
}

.fasta_debug span.background {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  z-index: -2;
}

.fasta_debug span.indicator {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0%;
  z-index: -1;
  transition: background-color 0.5s;
  -moz-transition: background-color 0.5s; /* Firefox 4 */
  -webkit-transition: background-color 0.5s; /* Safari and Chrome */
  -o-transition: background-color 0.5s; /* Opera */
}

.fasta_debug input[type="file"] {
  transition: background-color 0.5s;
  -moz-transition: background-color 0.5s; /* Firefox 4 */
  -webkit-transition: background-color 0.5s; /* Safari and Chrome */
  -o-transition: background-color 0.5s; /* Opera */
}

.fasta_debug.good input[type="file"],
.fasta_debug.warning input[type="file"],
.fasta_debug.error input[type="file"] {
  background-color: transparent;
}

.fasta_debug.good span.indicator {
  background-color: #00c800;
}

.fasta_debug.warning span.indicator {
  background-color: #d1bf00; 
}

.fasta_debug.error span.indicator {
  background-color: #d00a00;
}

.fasta_debug.good span.background {
  background-color: #d9ecd9;
}

.fasta_debug.warning span.background {
  background-color: #EEE8AA; /*#eeecd6;*/
}

.fasta_debug.error span.background {
  background-color:  #FFC4C1;/*#ffeceb;*/
}

.fasta_debug div.popup {
  display: none;
  position: absolute;
  z-index: 1;
  left: 0;
  top: 100%;
  width: 500px;
  padding: 5px;
  border-style: double;
  border-width: 3px;
}

.fasta_debug.warning:hover div.popup {
  display: block;
  background-color: #EEE8AA;
}

.fasta_debug.error:hover div.popup {
  display: block;
  background-color: #FFE4E1;
  border-color: #AA2244;
}

.fasta_debug div.popup table td {
  vertical-align: top;
}

.fasta_debug div.popup table td ul {
  margin-top: 0;
  margin-bottom: 0;
}

div.alphainc {
  position: relative;
  display: inline-block;
  font-variant: small-caps;
  font-weight: bold;
  padding: 2px;
  border: 1px solid #DDD;
  color: #DDD;
  vertical-align: middle;
  cursor: default;
  font-size: x-small;
}

div.alphainc > div.mark {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  opacity: 0.3;
  color: red;
  font-size: 3.5em;
}

div.alphainc:not(.disallowed) > div.mark {
  display: none;
}

div.sequence_input.dna div.alphainc.dna, div.sequence_input.protein div.alphainc.protein {
  color: DarkGreen;
  border-color: DarkGreen;
}

div.sequence_input.dna div.alphainc.dna > div.mark, div.sequence_input.protein div.alphainc.protein > div.mark {
  opacity: 0.5;
}

/* the little indicator that shows the alphabet name */
div.alph_info {
  position: relative;
  display: inline-block;
}

div.alph_info + div.alph_info {
  margin-left: 2px;
}

div.alph_name {
  position: relative;
  display: inline-block;
  font-variant: small-caps;
  font-weight: bold;
  padding: 2px;
  color: DarkGreen;
  border: 1px solid DarkGreen;
  vertical-align: middle;
  cursor: default;
  font-size: x-small;
  white-space: nowrap;
  max-width: 5em;
  overflow: hidden;
  text-overflow: ellipsis;
}

div.alph_info div.popup {
  display: none;
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 100%;
  transform: translateX(-50%);
  max-height: 300px;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 5px;
  padding-right: 20px;
  border-style: double;
  border-width: 3px;
  background: white;
}

div.alph_info:hover div.popup {
  display: block;
}

div.alph_info div.popup h4 {
  padding-top: 0;
  margin-top: 0;
  text-align: center;
  text-decoration: underline;
}

div.alphabet_input:not(.custom) div.alph_info {
  display: none;
}
